Spreadsheet Cloud API: transposeData

Switch rows and columns in the spreadsheet.

Quick Start

Interface Details

Endpoint

PUT http://api.aspose.cloud/v4.0/cells/transpose

Function Description

The request parameters of transposeData API are:

| Parameter Name | Type | Path/Query String/HTTPBody | Description | | :- | :- | :- |:- | |Spreadsheet|File|FormData|Upload spreadsheet file.| |worksheet|String|Query|The worksheet name.| |cellArea|String|Query|A specified data range| |outPath|String|Query|(Optional) The folder path where the workbook is stored. The default is null.| |outStorageName|String|Query|Output file Storage Name.| |region|String|Query|Spreadsheet region/language setting (e.g., en-US, fr-FR). Influences number formatting, date parsing, and locale‑specific behavior.| |password|String|Query|The password for opening spreadsheet file.|

Response Description

{
File
}

OpenAPI Specification

The OpenAPI Specification defines a publicly accessible programming interface and lets you carry out REST interactions directly from a web browser.

[Back to API list]
[Back to README]